---
title: Storage.key()
slug: Web/API/Storage/key
tags:
  - API
  - Method
  - Reference
  - Storage
  - Web Storage
---
<div>{{APIRef("Web Storage API")}}</div>

<p>The <strong><code>key()</code></strong> method of the {{domxref("Storage")}} interface, when passed a number n, returns the name of the nth key in a given <code>Storage</code> object. The order of keys is user-agent defined, so you should not rely on it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aKeyName</em> = <em>storage</em>.key(<em>index</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>index</code></dt>
 <dd>An integer representing the number of the key you want to get the name of. This is a zero-based index.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} containing the name of the key. If the index does not exist, <code>null</code> is returned.</p>

<h2 id="Examples">Examples</h2>

<p>The following function iterates over the local storage keys:</p>

<pre class="brush: js">function forEachKey(callback) {
  for (var i = 0; i &lt; localStorage.length; i++) {
    callback(localStorage.key(i));
  }
}</pre>

<p>The following function iterates over the local storage keys and gets the value set for each key:</p>

<pre class="brush: js">for(var i =0; i &lt; localStorage.length; i++){
  console.log(localStorage.getItem(localStorage.key(i)));
}</pre>

<div class="note">
<p><strong>Note</strong>: For a real world example, see our <a href="https://mdn.github.io/dom-examples/web-storage/">Web Storage Demo</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webstorage.html#dom-storage-key', 'Storage.key')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Storage.key")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API">Using the Web Storage API</a></li>
</ul>
